textures/q3dm17_urt/blacksky_urt
{
	qer_editorimage textures/q3dm17_urt/black.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//skyparms env/q3sky_red1 - -
	//skyparms env/kmnight - -
	//skyparms env/black - -
	q3map_surfacelight 25
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 100 512 70
	{
		map	textures/q3dm17_urt/black.tga
	}
}

textures/q3dm17_urt/pewter_shiney_urt
{   
	qer_editorimage textures/q3dm17_urt/pewter_shiney.tga
        {
                map textures/q3dm17_urt/tinfx.jpg       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/q3dm17_urt/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/q3dm17_urt/urt43_advert_q3dm17_urt
{
	qer_editorimage textures/q3dm17_urt/urt43.tga

	q3map_lightimage textures/q3dm17_urt/urt43.tga
    q3map_surfacelight 100
	{
		map textures/q3dm17_urt/urt43.tga
	    rgbGen wave square 0 1 0 0
	}
	{
		map $lightmap
        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/q3dm17_urt/diamond2c_urt
{
    qer_editorimage textures/q3dm17_urt/diamond2c.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/diamond2c.jpg
		blendFunc filter
	}
}

textures/q3dm17_urt/c_met5_2_urt
{
    qer_editorimage textures/q3dm17_urt/c_met5_2.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/c_met5_2.jpg
		blendFunc filter
	}
}

textures/q3dm17_urt/metaltech12final_urt
{
    qer_editorimage textures/q3dm17_urt/metaltech12final.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/metaltech12final.jpg
		blendFunc filter
	}
}

textures/q3dm17_urt/diamond2c_ow_urt
{   
	qer_editorimage textures/q3dm17_urt/diamond2c_ow.tga
    surfaceparm	metalsteps
	surfaceparm nodamage	     
    {
	map textures/q3dm17_urt/proto_zzztblu2.tga
		tcMod turb 0 .5 0 9.6
        tcmod scale 2 2
        tcmod scroll 9 5
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
	}
    {
	map textures/q3dm17_urt/diamond2c_ow.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
    {
	map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/q3dm17_urt/metalfloor_wall_15_urt
{
    qer_editorimage textures/q3dm17_urt/metalfloor_wall_15.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/metalfloor_wall_15.jpg
		blendFunc filter
	}
}

textures/q3dm17_urt/metfloor_block_3_urt
{
    qer_editorimage textures/q3dm17_urt/metfloor_block_3.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/metfloor_block_3.jpg
		blendFunc filter
	}
}

textures/q3dm17_urt/baslt4_1_4k_urt
{
	qer_editorimage textures/q3dm17_urt/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/q3dm17_urt/light5_5k_urt
{
	qer_editorimage textures/q3dm17_urt/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_surfacelight 5000
	{
		map textures/q3dm17_urt/light5.tga
		rgbGen identity
	}
}

textures/q3dm17_urt/lt2_2000_urt
{
	qer_editorimage textures/q3dm17_urt/light2.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/light2.blend.tga
		rgbGen wave sin 0.6 0.1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/q3dm17_urt/lt2_8000_urt
{
	qer_editorimage textures/q3dm17_urt/light2.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3dm17_urt/light2.blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/q3dm17_urt/border11light_urt
{
	qer_editorimage textures/q3dm17_urt/border11light.tga
	q3map_surfacelight 500
	Q3map_lightimage textures/q3dm17_urt/border11light.glow.tga	
	{
	map $lightmap
		rgbGen identity
	}
	{
	map textures/q3dm17_urt/border11light.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
	map textures/q3dm17_urt/border11light.glow.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin .9 .1 0 10
	}
}

textures/q3dm17_urt/metalfloor_wall_15ow_urt
{
	qer_editorimage textures/q3dm17_urt/metalfloor_wall_15ow.tga
	surfaceparm nodamage
    {
	map textures/q3dm17_urt/metalfloor_wall_15ow.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
	
    {
	map textures/q3dm17_urt/hologirl.tga
        tcmod scale 2 .4
        tcmod scroll 6 .6
        blendFunc GL_ONE GL_ONE
        rgbGen identity        
	}
	{
	map textures/q3dm17_urt/metalfloor_wall_15ow.tga
        blendfunc blend
		rgbGen identity
	}
    {
	map $lightmap
		blendFunc filter                                            
	}
}

textures/q3dm17_urt/steed1gf_urt
{
	qer_editorimage textures/q3dm17_urt/steed1gf.tga
	{
	map $lightmap
		rgbgen identity      
	}
	
	{
	map textures/q3dm17_urt/steed1gf.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}	
}

textures/q3dm17_urt/diamond2cjumppad_urt
{
	qer_editorimage textures/q3dm17_urt/bouncepad01_diamond2cTGA.tga
	surfaceparm nodamage
	q3map_lightimage textures/q3dm17_urt/jumppadsmall.tga	
	q3map_surfacelight 500
	{
	map textures/q3dm17_urt/bouncepad01_diamond2cTGA.tga
		rgbGen identity
	}
	{
	map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
	map textures/q3dm17_urt/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
	clampmap textures/q3dm17_urt/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/q3dm17_urt/spawn_floord2c_urt
{
	qer_editorimage textures/q3dm17_urt/bouncepad01_diamond2cTGA.tga
    {
	map textures/q3dm17_urt/proto_zzztblu.tga
        tcmod scroll 0 1
        tcMod turb 0 .25 0 5.6
        tcmod scale 2 2
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
	}
    {
	clampmap textures/q3dm17_urt/blocks18cgeomtrn2.tga
        blendFunc blend
        tcmod rotate 130
        tcMod stretch sin .8 0.2 0 .2
	    rgbGen identity
	}
    {
	clampmap textures/q3dm17_urt/blocks18cgeomtrn2.tga
		blendFunc blend
        tcmod rotate 80
        tcMod stretch sin .8 0.2 0 .1
	    rgbGen identity
	}
	{
	map textures/q3dm17_urt/spawn_floord2c.tga
		blendFunc blend
	    rgbGen identity
	}
    {
	map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/q3dm17_urt/launchpad_diamond_urt
{
	qer_editorimage textures/q3dm17_urt/launchpad_diamond.tga
	{
	map $lightmap
		rgbGen identity
	}
	{ 
	map textures/q3dm17_urt/launchpad_diamond.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{	
	map textures/q3dm17_urt/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{ 
		animmap 4 textures/q3dm17_urt/launchpad_arrow.tga textures/q3dm17_urt/launchpad_arrow2.tga textures/q3dm17_urt/launchpad_arrow2.tga textures/q3dm17_urt/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/q3dm17_urt/pentfloor_diamond2c_urt
{
	qer_editorimage textures/q3dm17_urt/pentfloor_diamond2c.tga
	surfaceparm nodamage
	{
	map textures/q3dm17_urt/pentfloor_diamond2c.tga
		rgbGen identity
	}
	{
	map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
	map textures/q3dm17_urt/pentagramfloor_red_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}

models/mapobjects/lamps/bot_flare
{
        deformVertexes autoSprite
        deformVertexes move 0 0 3   sin 0 5 0 0.1
        deformVertexes move 2 2 0   sin 0 9 0 0.05
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
    
    {
    clampmap models/mapobjects/lamps/bot_flare.tga
        blendFunc GL_ONE GL_ONE
        tcMod rotate 20   
    }
}

models/mapobjects/lamps/bot_flare2
{
        deformVertexes move 0 0 3   sin 0 5 0 0.1
        deformVertexes move 2 2 0   sin 0 9 0 0.05
        deformVertexes wave 100 sin 0 1 0 9
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
    
    {
    map models/mapobjects/lamps/bot_flare2.tga
        blendFunc GL_ONE GL_ONE      
    }
}

models/mapobjects/lamps/bot_lamp
{
        deformVertexes move 0 0 3   sin 0 5 0 0.1
        deformVertexes move 2 2 0   sin 0 9 0 0.05
    {
    map models/mapobjects/lamps/bot_lamp.tga
        rgbGen vertex        
    }
}

models/mapobjects/lamps/bot_lamp2
{
        deformVertexes move 0 0 3   sin 0 5 0 0.1
        deformVertexes move 2 2 0   sin 0 9 0 0.05
    {
    map models/mapobjects/lamps/bot_lamp2.tga
        rgbGen vertex      
    }
}

models/mapobjects/lamps/bot_wing
{
    deformVertexes move 0 0 3   sin 0 5 0 0.1
    deformVertexes move 2 2 0   sin 0 9 0 0.05
    deformVertexes wave 100   sin 0 .5 0 .5
    cull disable
    {
    map models/mapobjects/lamps/bot_wing.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
}

models/mapobjects/kmlamp_white
{
	surfaceparm	trans
	{
	map textures/effects/tinfxb.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/teleporter/transparency2
{
   cull disable   
    {
    map models/mapobjects/teleporter/transparency2.tga
        blendfunc GL_ONE GL_ONE
        tcMod scroll .1 .2
    }
}

models/mapobjects/teleporter/energy
{
   cull disable               
    {
    map models/mapobjects/teleporter/energy.tga
        blendfunc GL_ONE GL_ONE
        tcMod scroll 2.2 1.3
        rgbGen wave inversesawtooth -.3 1.3 0 1.3  
    }
	{    
	map models/mapobjects/teleporter/energy2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -1 .5
		rgbGen wave inversesawtooth -.2 1.2 0 .5     
	}
	{    
    map models/mapobjects/teleporter/energy3.tga
        blendfunc GL_ONE GL_ONE
        tcMod scroll 3 0
		rgbGen wave triangle 1 1 0 5.3       
	}
}

models/mapobjects/teleporter/widget
{
   cull disable
    {
    map models/mapobjects/teleporter/widget.tga
        blendfunc GL_ONE GL_ONE
    }
    {
    map models/mapobjects/teleporter/transparency2.tga
        blendfunc GL_ONE GL_ONE
        tcMod scroll -.1 -.2
    }
}

models/mapobjects/teleporter/transparency
{
   cull disable            
    {
    map models/mapobjects/teleporter/transparency.tga
        blendfunc GL_ONE GL_ONE        
    }
    {
    map models/mapobjects/teleporter/transparency2.tga
        blendfunc GL_ONE GL_ONE
        tcMod scroll .1 .2
    }
}

models/mapobjects/teleporter/teleporter_edge
{
    {
    map models/mapobjects/teleporter/teleporter_edge.tga 
        rgbGen vertex  
    }  
    {
    map models/mapobjects/teleporter/teleporter_edge2.tga
        blendfunc GL_ONE GL_ONE
        rgbgen wave inversesawtooth 0 1 .2 1.5
	}  
}

models/mapobjects/spotlamp/spotlamp
{
    cull disable
    surfaceparm alphashadow
    {
    map models/mapobjects/spotlamp/spotlamp.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
}

models/mapobjects/spotlamp/beam
{
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
    nomipmaps
	{
	map models/mapobjects/spotlamp/beam.tga
        tcMod Scroll .3 0
        blendFunc GL_ONE GL_ONE
    }
}

models/mapobjects/spotlamp/spotlamp_l
{
    cull disable
    q3map_surfacelight	200
    {
    map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbGen identity
    }
}